IEEE80211_STA_PS_TRA(9)

NAME
ieee80211_sta_ps_transition - PS transition for connected sta

SYNOPSIS

int ieee80211_sta_ps_transition(struct ieee80211_sta * sta, bool start);

ARGUMENTS

sta
    currently connected sta

start
    start or stop PS

DESCRIPTION

When operating in AP mode with the IEEE80211_HW_AP_LINK_PS flag set, use this function to inform mac80211 about a connected station entering/leaving PS mode.

This function may not be called in IRQ context or with softirqs enabled.

Calls to this function for a single hardware must be synchronized against each other.

RETURN

0 on success. -EINVAL when the requested PS mode is already set.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT